Bug 1425765 - The guest failed to start with ich6 sound when machine type is rhel6.*.0
Summary: The guest failed to start with ich6 sound when machine type is rhel6.*.0
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-22 10:59 UTC by yanqzhan@redhat.com
Modified: 2017-08-02 03:37 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-01 23:44:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description yanqzhan@redhat.com 2017-02-22 10:59:58 UTC
Description of problem:
The guest failed to start with ich6 sound when machine type is rhel6.*.0

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.8.0-4.el7.x86_64

How reproducible:
100%


Steps to Reproduce:
1. on rhel7 host, define a rhel6 guest rhel6.6.0 machine type:
<domain type='kvm'>
  <name>rhel6.8</name>
...
  <os>
    <type arch='x86_64' machine='rhel6.6.0'>hvm</type>
    <boot dev='hd'/>
  </os>
...
</domain>

2. start the guest.
# virsh start rhel6.8
Domain rhel6.8 started

3. Edit guest xml and add ich6 sound model into it:
    <sound model='ich6'>
    </sound>

4. start the guest again:
# virsh start rhel6.8
error: Failed to start domain rhel6.8
error: internal error: qemu unexpectedly closed the monitor: Unexpected error in input_type_enum() at qapi/qapi-visit-core.c:364:
2017-02-22T13:36:20.207356Z qemu-kvm: -device intel-hda,id=sound0,bus=pci.0,addr=0x6: can't apply global intel-hda.msi=0: Invalid parameter '0'


Actual results:
As step 4, The guest failed to start with ich6 sound when machine type is rhel6.*.0.

Expected results:
should start the guest successfully.

Additional info:
1.When machine type is 7.3.0, the guest with ich6 sound can be started.
# virsh dumpxml V7.3-full
...
    <type arch='x86_64' machine='pc-i440fx-rhel7.3.0'>hvm</type>
...
    <sound model='ich6'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </sound>
...
# virsh start V7.3-full
Domain V7.3-full started

2.Can not reproduce on rhel7.3.z host:
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.6.0-28.el7_3.6.x86_64

# virsh dumpxml rhel6.8
...
    <type arch='x86_64' machine='rhel6.6.0'>hvm</type>
...
    <sound model='ich6'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </sound>
...
# virsh start rhel6.8
Domain rhel6.8 started

Comment 3 yanqzhan@redhat.com 2017-02-23 08:27:49 UTC
can also reproduce on qemu-kvm-rhev-2.8.0-5.el7.x86_64.

Comment 4 Gerd Hoffmann 2017-02-23 19:19:49 UTC
test build
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12614634

Comment 5 Gerd Hoffmann 2017-02-23 19:54:17 UTC
patch posted.

Comment 6 yanqzhan@redhat.com 2017-02-24 05:28:38 UTC
Test on qemu-kvm-rhev-2.8.0-5.el7.bz1425765.2.x86_64, the result is as expected:

steps:
1.define a guest with following xml:
# virsh dumpxml rhel6.8
<domain type='kvm'>
  <name>rhel6.8</name>
...
    <type arch='x86_64' machine='rhel6.6.0'>hvm</type>
...
    <sound model='ich6'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </sound>
...

2.try to start the guest:
# virsh start rhel6.8
Domain rhel6.8 started

Comment 7 Miroslav Rezanina 2017-03-08 10:55:55 UTC
Fix included in qemu-kvm-rhev-2.8.0-6.el7

Comment 9 Guo, Zhiyi 2017-03-24 01:55:00 UTC
Reproduce this issue against qemu-kvm-rhev-2.8.0-3.el7.x86_64

# /usr/libexec/qemu-kvm -machine rhel6.6.0 -device intel-hda
Unexpected error in input_type_enum() at qapi/qapi-visit-core.c:364:
qemu-kvm: -device intel-hda: can't apply global intel-hda.msi=0: Invalid parameter '0'
Aborted (core dumped)

Verify this issue agasint qemu-kvm-rhev-2.8.0-6.el7.x86_64, no qemu error happen when using same qemu cli

Comment 10 Guo, Zhiyi 2017-03-24 01:56:29 UTC
Verified per comment 9

Comment 12 errata-xmlrpc 2017-08-01 23:44:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 13 errata-xmlrpc 2017-08-02 01:22:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 14 errata-xmlrpc 2017-08-02 02:14:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 15 errata-xmlrpc 2017-08-02 02:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 16 errata-xmlrpc 2017-08-02 03:19:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 17 errata-xmlrpc 2017-08-02 03:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.